[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LCLResCache' (#lcl)

# TBlockResourceCache.Create

Constructor for the class instance.

## Declaration

Source position: lclrescache.pas line 138

`public constructor TBlockResourceCache.Create(`
`TheDataSize: Integer`
`);`

## Description

Allocates resources needed for the cache descriptor. Sets the initial DataSize for the cache. Assign the default compare routine used for the block resources.